## libktorrent 1.0.2

=== src/CMakeLists.txt ===
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config-ktorrent.h.cmake ${CMAKE_BINARY_DIR}/config-ktorrent.h)

include_directories(${CMAKE_CURRENT_BINARY_DIR})
include_directories(${CMAKE_CURRENT_SOURCE_DIR})
include_directories(${QCA2_INCLUDE_DIR})
remove_definitions(-DQT_NO_HTTP)

set(libktorrent_SRC 
	util/bitset.cpp
	util/timer.cpp
	util/urlencoder.cpp
	util/sha1hashgen.cpp
	util/sha1hash.cpp
	util/functions.cpp
	util/ptrmap.cpp
	util/array.cpp
	util/error.cpp
	util/file.cpp
	util/fileops.cpp
	util/log.cpp
	util/waitjob.cpp
	util/autorotatelogjob.cpp
	util/compressfilejob.cpp
	util/decompressfilejob.cpp
	util/extractfilejob.cpp
	util/logsystemmanager.cpp
	util/pipe.cpp
	util/circularbuffer.cpp
	
	bcodec/bdecoder.cpp  
	bcodec/bencoder.cpp  
	bcodec/bnode.cpp  
	bcodec/value.cpp

	net/address.cpp  
	net/bufferedsocket.cpp  
	net/portlist.cpp  
	net/socket.cpp  
	net/socketmonitor.cpp  
	net/speed.cpp
	net/uploadthread.cpp
	net/downloadthread.cpp
	net/networkthread.cpp
	net/socketgroup.cpp
	net/socks.cpp
	net/wakeuppipe.cpp
	net/reverseresolver.cpp
	net/socketdevice.cpp
	net/poll.cpp
	
	mse/bigint.cpp  
	mse/functions.cpp  
	mse/rc4encryptor.cpp  
	mse/streamsocket.cpp
	mse/encryptedauthenticate.cpp
	mse/encryptedserverauthenticate.cpp
	
	peer/authenticatebase.cpp
	peer/authenticate.cpp
	peer/serverauthenticate.cpp
	peer/authenticationmonitor.cpp
	peer/chunkcounter.cpp
	peer/peerid.cpp
	peer/peer.cpp
	peer/peermanager.cpp
	peer/peerdownloader.cpp
	peer/peeruploader.cpp
	peer/packetwriter.cpp
	peer/packetreader.cpp
	peer/peerprotocolextension.cpp
	peer/utpex.cpp
	peer/utmetadata.cpp
	peer/accessmanager.cpp
	peer/badpeerslist.cpp
	peer/peerconnector.cpp

	download/piece.cpp
	download/request.cpp
	download/packet.cpp
	download/webseed.cpp
	download/chunkdownload.cpp
	download/chunkselector.cpp
	download/downloader.cpp
	download/httpconnection.cpp

	interfaces/piecedownloader.cpp
	interfaces/peerinterface.cpp
	interfaces/peersource.cpp
	interfaces/torrentinterface.cpp
	interfaces/torrentfileinterface.cpp
	interfaces/trackerslist.cpp
	interfaces/logmonitorinterface.cpp
	interfaces/blocklistinterface.cpp
	interfaces/exitoperation.cpp
	interfaces/chunkdownloadinterface.cpp
	interfaces/monitorinterface.cpp
	interfaces/queuemanagerinterface.cpp
	interfaces/chunkselectorinterface.cpp
	interfaces/cachefactory.cpp
	interfaces/webseedinterface.cpp
	interfaces/trackerinterface.cpp
	interfaces/serverinterface.cpp

	torrent/globals.cpp
	torrent/server.cpp
	torrent/torrent.cpp
	torrent/torrentfile.cpp
	torrent/peersourcemanager.cpp
	torrent/uploader.cpp
	torrent/timeestimator.cpp
	torrent/statsfile.cpp
	torrent/choker.cpp
	torrent/advancedchokealgorithm.cpp
	torrent/torrentcontrol.cpp
	torrent/torrentcreator.cpp
	torrent/torrentstats.cpp
	torrent/jobqueue.cpp
	torrent/job.cpp

	dht/announcetask.cpp  
	dht/dht.cpp                
	dht/kclosestnodessearch.cpp  
	dht/nodelookup.cpp  
	dht/rpcmsg.cpp     
	dht/taskmanager.cpp
	dht/database.cpp      
	dht/dhtpeersource.cpp 
	dht/key.cpp                  
	dht/pack.cpp        
	dht/rpcserver.cpp
	dht/dhtbase.cpp       
	dht/kbucket.cpp            
	dht/node.cpp                 
	dht/rpccall.cpp     
	dht/task.cpp

	diskio/cache.cpp      
	diskio/chunk.cpp         
	diskio/dndfile.cpp         
	diskio/singlefilecache.cpp
	diskio/multifilecache.cpp
	diskio/preallocationthread.cpp
	diskio/preallocationjob.cpp
	diskio/movedatafilesjob.cpp
	diskio/deletedatafilesjob.cpp
	diskio/piecedata.cpp
	diskio/cachefile.cpp  
	diskio/chunkmanager.cpp  
	
	tracker/httptracker.cpp  
	tracker/tracker.cpp  
	tracker/udptracker.cpp  
	tracker/udptrackersocket.cpp
	tracker/trackermanager.cpp
	tracker/httpannouncejob.cpp
	tracker/kioannouncejob.cpp
	
	datachecker/datachecker.cpp          
	datachecker/datacheckerthread.cpp  
	datachecker/singledatachecker.cpp
	datachecker/datacheckerlistener.cpp  
	datachecker/multidatachecker.cpp
	datachecker/datacheckerjob.cpp
	
	migrate/cachemigrate.cpp  
	migrate/ccmigrate.cpp  
	migrate/migrate.cpp
	
	magnet/magnetdownloader.cpp
	magnet/magnetlink.cpp
	magnet/metadatadownload.cpp
	
	utp/utpserver.cpp
	utp/utpserverthread.cpp
	utp/connection.cpp
	utp/localwindow.cpp
	utp/remotewindow.cpp
	utp/utpsocket.cpp
	utp/timevalue.cpp
	utp/utpprotocol.cpp
	utp/pollpipe.cpp
	utp/delaywindow.cpp
	
	version.cpp
)

if(WIN32)
# Compile stuff for windows
set(libktorrent_SRC ${libktorrent_SRC} util/win32.cpp)
endif(WIN32)


# kde4_add_ui_files(libktorrent_SRC ${libktorrent_UI})
# kde4_add_kcfg_files(libktorrent_SRC settings.kcfgc)
kde4_add_library(ktorrent SHARED ${libktorrent_SRC})

target_link_libraries(ktorrent ${KDE4_KIO_LIBS} ${GMP_LIBRARIES} ${QCA2_LIBRARIES})
if(WIN32)
target_link_libraries(ktorrent ws2_32)
endif(WIN32)
set_target_properties(ktorrent PROPERTIES VERSION 2.0.1 SOVERSION 2)
install(TARGETS ktorrent  ${INSTALL_TARGETS_DEFAULT_ARGS} )


set (mse_HDR 
	./mse/encryptedserverauthenticate.h
	./mse/functions.h
	./mse/rc4encryptor.h
	./mse/encryptedauthenticate.h
	./mse/bigint.h
	./mse/streamsocket.h
)

set (interfaces_HDR
	./interfaces/peerinterface.h
	./interfaces/queuemanagerinterface.h
	./interfaces/exitoperation.h
	./interfaces/chunkdownloadinterface.h
	./interfaces/trackerslist.h
	./interfaces/torrentinterface.h
	./interfaces/logmonitorinterface.h
	./interfaces/piecedownloader.h
	./interfaces/monitorinterface.h
	./interfaces/blocklistinterface.h
	./interfaces/torrentfileinterface.h
	./interfaces/peersource.h
	./interfaces/chunkselectorinterface.h
	./interfaces/cachefactory.h
	./interfaces/webseedinterface.h
	./interfaces/trackerinterface.h
	./interfaces/serverinterface.h
)

set (peer_HDR
	./peer/peeruploader.h
	./peer/packetwriter.h
	./peer/peer.h
	./peer/peermanager.h
	./peer/authenticatebase.h
	./peer/authenticate.h
	./peer/peerprotocolextension.h
	./peer/utpex.h
	./peer/utmetadata.h
	./peer/packetreader.h
	./peer/authenticationmonitor.h
	./peer/peerid.h
	./peer/peerdownloader.h
	./peer/chunkcounter.h
	./peer/serverauthenticate.h
	./peer/accessmanager.h
	./peer/peerconnector.h
)
	

	
set (download_HDR
	./download/chunkdownload.h
	./download/downloader.h
	./download/request.h
	./download/piece.h
	./download/packet.h
	./download/chunkselector.h
	./download/webseed.h
)

set (ktorrent_HDR 
	ktorrent_export.h
	version.h
)
	
set (bcodec_HDR
	./bcodec/bencoder.h
	./bcodec/bnode.h
	./bcodec/bdecoder.h
	./bcodec/value.h
)
	
set (diskio_HDR  
	./diskio/cache.h
	./diskio/cachefile.h
	./diskio/singlefilecache.h
	./diskio/preallocationthread.h
	./diskio/preallocationjob.h
	./diskio/movedatafilesjob.h
	./diskio/deletedatafilesjob.h
	./diskio/chunkmanager.h
	./diskio/dndfile.h
	./diskio/chunk.h
	./diskio/multifilecache.h
	./diskio/piecedata.h
)
	

	
set (tracker_HDR
	./tracker/tracker.h
	./tracker/udptracker.h
	./tracker/udptrackersocket.h
	./tracker/httptracker.h
	./tracker/trackermanager.h
	./tracker/httpannouncejob.h
	./tracker/kioannouncejob.h
)

set (datachecker_HDR
	./datachecker/datacheckerthread.h
	./datachecker/datachecker.h
	./datachecker/singledatachecker.h
	./datachecker/datacheckerlistener.h
	./datachecker/multidatachecker.h
	./datachecker/datacheckerjob.h
)

set (dht_HDR
	./dht/dhtbase.h
	./dht/rpcserver.h
	./dht/key.h
	./dht/pack.h
	./dht/rpcmsg.h
	./dht/dhtpeersource.h
	./dht/announcetask.h
	./dht/rpccall.h
	./dht/kclosestnodessearch.h
	./dht/dht.h
	./dht/node.h
	./dht/task.h
	./dht/nodelookup.h
	./dht/taskmanager.h
	./dht/kbucket.h
	./dht/database.h
)

set (migrate_HDR
	./migrate/ccmigrate.h
	./migrate/migrate.h
	./migrate/cachemigrate.h
)



install(FILES ${tracker_HDR} DESTINATION ${INCLUDE_INSTALL_DIR}/libktorrent/tracker COMPONENT Devel)
install(FILES ${diskio_HDR} DESTINATION ${INCLUDE_INSTALL_DIR}/libktorrent/diskio COMPONENT Devel)
install(FILES ${bcodec_HDR} DESTINATION ${INCLUDE_INSTALL_DIR}/libktorrent/bcodec COMPONENT Devel)
install(FILES ${mse_HDR} DESTINATION ${INCLUDE_INSTALL_DIR}/libktorrent/mse COMPONENT Devel)
install(FILES ${interfaces_HDR} DESTINATION ${INCLUDE_INSTALL_DIR}/libktorrent/interfaces COMPONENT Devel)
install(FILES ${peer_HDR} DESTINATION ${INCLUDE_INSTALL_DIR}/libktorrent/peer COMPONENT Devel)
install(FILES ${datachecker_HDR} DESTINATION ${INCLUDE_INSTALL_DIR}/libktorrent/datachecker COMPONENT Devel)
install(FILES ${dht_HDR} DESTINATION ${INCLUDE_INSTALL_DIR}/libktorrent/dht COMPONENT Devel)
install(FILES ${migrate_HDR} DESTINATION ${INCLUDE_INSTALL_DIR}/libktorrent/migrate COMPONENT Devel)
install(FILES ${download_HDR} DESTINATION ${INCLUDE_INSTALL_DIR}/libktorrent/download COMPONENT Devel)
install(FILES ${ktorrent_HDR} DESTINATION ${INCLUDE_INSTALL_DIR}/libktorrent COMPONENT Devel)

add_subdirectory(torrent)
add_subdirectory(net)
add_subdirectory(magnet)
add_subdirectory(util)
add_subdirectory(utp)

=== debian/changelog ===
libktorrent (1.0.2-1) unstable; urgency=low

  * New upstream release.
  * Rename library package to libktorrent2, SONAME has been bumped:
    - rename references in debian/control;
    - rename install and symbol files;
    - bump minver of all symbols to 1.0.2 in the symbol file;
    - change package name and soname in debian/libktorrent2.symbols;
    - change file path in debian/libktorrent2.install.
  * Enable parallel support, pass --parallel to dh.
  * Update symbol file for 1.0.2 release.
  * Bump Standards-Version to 3.9.0: no changes needed.

 -- Modestas Vainius <modax@debian.org>  Thu, 08 Jul 2010 22:25:50 +0300

libktorrent (1.0.1-2) unstable; urgency=low

  * Set versions of the UTPServer class symbols to 1.0.1.

 -- Modestas Vainius <modax@debian.org>  Tue, 15 Jun 2010 11:21:52 +0300

libktorrent (1.0.1-1) unstable; urgency=low

  * New upstream release.
  * Drop general_disable_ipv6_only.diff patch, merged upstream.
  * Update libktorrent1.symbols for 1.0.1.
  * Add "Build-Depends-Package" field to libktorrent1.symbols.

 -- Modestas Vainius <modax@debian.org>  Tue, 15 Jun 2010 01:25:07 +0300

libktorrent (1.0.0-1) unstable; urgency=low

  * New upstream release.
  * Explicitly disable IPV6_V6ONLY for tcp/udp server sockets
    (Closes: #581896). The proper solution (2 sockets) will be in the next
    major upstream release (patch general_disable_ipv6_only.diff).
  * License files are in upstream tarball now, remove the respective note from
    debian/copyright.
  * Add debian/README.source.

 -- Modestas Vainius <modax@debian.org>  Fri, 28 May 2010 21:06:51 +0300

libktorrent (1.0~rc1+dfsg.1-1) unstable; urgency=low

  * Initial release.

 -- Modestas Vainius <modax@debian.org>  Sat, 08 May 2010 21:49:44 +0300

=== debian/control ===
Source: libktorrent
Section: libs
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Modestas Vainius <modax@debian.org>
Build-Depends: cmake, debhelper (>= 7.3.16~), pkg-kde-tools (>= 0.6~),
 kdelibs5-dev (>= 4:4.3), libgmp3-dev, libqca2-dev, libboost-dev,
 pkg-config, doxygen,
Standards-Version: 3.9.0
Homepage: http://ktorrent.org/
Vcs-Git: git://git.debian.org/git/pkg-kde/kde-extras/libktorrent.git
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-extras/libktorrent.git;a=summary

Package: libktorrent2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libktorrent-l10n
Description: the KTorrent library for C++ / Qt 4 / KDE Platform
 The KTorrent library is a C++ / Qt 4 / KDE Platform based implementation of
 the BitTorrent protocol (mostly client side).
 .
 The library supports connectivity to HTTP and UDP trackers, mainline DHT and
 the new generation Micro Transport Protocol (uTP). In addition, it provides
 many powerful BitTorrent network features including but not limited to torrent
 downloading and seeding, torrent creation and downloaded data verification,
 magnet links, advanced peer management, IP blocking lists.

Package: libktorrent-dev
Architecture: any
Section: libdevel
Depends: libktorrent2 (= ${binary:Version}), ${misc:Depends},
 ${sameVersionDep:libqt4-dev}, ${sameVersionDep:kdelibs5-dev}
Description: development files for the KTorrent Library
 The KTorrent library is a C++ / Qt 4 / KDE Platform based implementation of
 the BitTorrent protocol (mostly client side).
 .
 This package contains header files, CMake modules and other files needed for
 developing and compiling/linking which use the KTorrent library.

Package: libktorrent-l10n
Architecture: all
Section: localization
Depends: libktorrent2 (>= ${source:Version}), ${misc:Depends}
Description: localization files for the KTorrent library
 The KTorrent library is a C++ / Qt 4 / KDE Platform based implementation of
 the BitTorrent protocol (mostly client side).
 .
 This package contains translations of the KTorrent library.

Package: libktorrent-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libktorrent2 (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for the KTorrent library
 The KTorrent library is a C++ / Qt 4 / KDE Platform based implementation of
 the BitTorrent protocol (mostly client side).
 .
 This package contains debugging symbols for the KTorrent library. It is needed
 to get a useful backtrace when applications using the KTorrent library crash.

=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_configure:
	dh_auto_configure -Skde -- -DCMAKE_USE_RELATIVE_PATHS=ON

override_dh_makeshlibs:
	dh_makeshlibs -V

override_dh_shlibdeps:
	dh_shlibdeps
	dh_sameversiondep

%:
	dh --parallel --with kde $@ -- --dbg-package=libktorrent-dbg 

.PHONY: override_dh_auto_test

## libktorrent 1.0.3

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -198,7 +198,7 @@
 if(WIN32)
 target_link_libraries(ktorrent ws2_32)
 endif(WIN32)
-set_target_properties(ktorrent PROPERTIES VERSION 2.0.1 SOVERSION 2)
+set_target_properties(ktorrent PROPERTIES VERSION 2.0.2 SOVERSION 2)
 install(TARGETS ktorrent  ${INSTALL_TARGETS_DEFAULT_ARGS} )

=== debian/changelog ===
libktorrent (1.0.3-0ubuntu1) maverick; urgency=low

  * New upstream bugfix release

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Fri, 03 Sep 2010 05:08:26 +0200

## libktorrent 1.0.5

=== debian/changelog ===
libktorrent (1.0.5-2) unstable; urgency=low

  * Release to unstable.

 -- Modestas Vainius <modax@debian.org>  Tue, 01 Feb 2011 00:43:00 +0200

libktorrent (1.0.5-1) experimental; urgency=low

  * New upstream release.

 -- Modestas Vainius <modax@debian.org>  Thu, 30 Dec 2010 12:14:33 +0200

libktorrent (1.0.4-1) experimental; urgency=low

  * New upstream release.
  * Confirm symbol file for 1.0.3 on more arches.

 -- Modestas Vainius <modax@debian.org>  Wed, 20 Oct 2010 14:43:22 +0300

libktorrent (1.0.3-2) experimental; urgency=low

  * Confirm symbol file on more arches. Fixes FTBFS. (Closes: #598506)

 -- Modestas Vainius <modax@debian.org>  Sat, 02 Oct 2010 01:55:17 +0300

libktorrent (1.0.3-1) experimental; urgency=low

  * New upstream release.
  * Update symbol file.
  * Bump Standards-Version to 3.9.1: no changes needed.

 -- Modestas Vainius <modax@debian.org>  Wed, 29 Sep 2010 00:29:18 +0300

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: cmake, debhelper (>= 7.3.16~), pkg-kde-tools (>= 0.6~),
  kdelibs5-dev (>= 4:4.3), libgmp3-dev, libqca2-dev, libboost-dev,
  pkg-config, doxygen,
-Standards-Version: 3.9.0
+Standards-Version: 3.9.1
 Homepage: http://ktorrent.org/
 Vcs-Git: git://git.debian.org/git/pkg-kde/kde-extras/libktorrent.git
 Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-extras/libktorrent.git;a=summary

## libktorrent 1.1.1

=== CMakeLists.txt ===
project(LIBKTORRENT)

find_package(KDE4 REQUIRED)
find_package(KDE4Internal REQUIRED)
find_package(GMP REQUIRED)
find_package(Boost REQUIRED)
find_package(QCA2 REQUIRED)

set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules;${CMAKE_MODULE_PATH}")
find_package(LibGcrypt REQUIRED)

# set some default settings
include(KDE4Defaults)
enable_testing()
set(BUILD_TESTING ON)

# make some more macros available
include (MacroLibrary)

#
# checks for functions and stuff
#
include(CheckIncludeFiles)
include(CheckFunctionExists)
include(CheckTypeSize) #XFS

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}")
add_definitions( ${KDE4_DEFINITIONS} )

include_directories(${KDE4_INCLUDES} ${LIBKTORRENT_BINARY_DIR}	${LIBKTORRENT_SOURCE_DIR} ${GMP_INCLUDE_DIR} ${Boost_INCLUDE_DIR})

set(LIBKTORRENT_VERSION "1.1dev")

#XFS prealloc
CHECK_INCLUDE_FILES(xfs/xfs.h HAVE_XFS_XFS_H)
IF(HAVE_XFS_XFS_H)
	SET(CMAKE_EXTRA_INCLUDE_FILES xfs/xfs.h)
	CHECK_TYPE_SIZE(__u64 HAVE___U64)
	CHECK_TYPE_SIZE(__s64 HAVE___S64)
	SET(CMAKE_EXTRA_INCLUDE_FILES)
ENDIF(HAVE_XFS_XFS_H)

# check for 64 bit file I/O functions
check_function_exists(fopen64 HAVE_FOPEN64)
check_function_exists(fseeko64 HAVE_FSEEKO64)
check_function_exists(fseeko HAVE_FSEEKO)
check_function_exists(ftello64 HAVE_FTELLO64)
check_function_exists(ftello HAVE_FTELLO)
check_function_exists(fstat64 HAVE_FSTAT64)
check_function_exists(stat64 HAVE_STAT64)
check_function_exists(ftruncate64 HAVE_FTRUNCATE64)
check_function_exists(lseek64 HAVE_LSEEK64)
check_function_exists(mmap64 HAVE_MMAP64)
check_function_exists(munmap64 HAVE_MUNMAP64)
check_function_exists(posix_fallocate64 HAVE_POSIX_FALLOCATE64)
check_function_exists(posix_fallocate HAVE_POSIX_FALLOCATE)
check_function_exists(fallocate HAVE_FALLOCATE)
check_function_exists(statvfs HAVE_STATVFS)
check_function_exists(statvfs64 HAVE_STATVFS64)


add_subdirectory(src)
add_subdirectory(testlib)
add_subdirectory(examples)
add_subdirectory(cmake)
add_subdirectory(doc)


find_package(Msgfmt REQUIRED)
find_package(Gettext REQUIRED)
add_subdirectory( po )

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 include_directories(${CMAKE_CURRENT_BINARY_DIR})
 include_directories(${CMAKE_CURRENT_SOURCE_DIR})
-include_directories(${QCA2_INCLUDE_DIR})
+include_directories(${LIBGCRYPT_INCLUDE_DIR} ${QCA2_INCLUDE_DIR})
 remove_definitions(-DQT_NO_HTTP)
 
 set(libktorrent_SRC 
@@ -26,6 +26,7 @@
 	util/logsystemmanager.cpp
 	util/pipe.cpp
 	util/circularbuffer.cpp
+	util/resourcemanager.cpp
 	
 	bcodec/bdecoder.cpp  
 	bcodec/bencoder.cpp  
@@ -47,6 +48,7 @@
 	net/reverseresolver.cpp
 	net/socketdevice.cpp
 	net/poll.cpp
+	net/serversocket.cpp
 	
 	mse/bigint.cpp  
 	mse/functions.cpp  
@@ -73,6 +75,7 @@
 	peer/accessmanager.cpp
 	peer/badpeerslist.cpp
 	peer/peerconnector.cpp
+	peer/superseeder.cpp
 
 	download/piece.cpp
 	download/request.cpp
@@ -82,6 +85,7 @@
 	download/chunkselector.cpp
 	download/downloader.cpp
 	download/httpconnection.cpp
+	download/streamingchunkselector.cpp
 
 	interfaces/piecedownloader.cpp
 	interfaces/peerinterface.cpp
@@ -116,6 +120,7 @@
 	torrent/torrentstats.cpp
 	torrent/jobqueue.cpp
 	torrent/job.cpp
+	torrent/torrentfilestream.cpp 
 
 	dht/announcetask.cpp  
 	dht/dht.cpp                
@@ -158,7 +163,6 @@
 	datachecker/datachecker.cpp          
 	datachecker/datacheckerthread.cpp  
 	datachecker/singledatachecker.cpp
-	datachecker/datacheckerlistener.cpp  
 	datachecker/multidatachecker.cpp
 	datachecker/datacheckerjob.cpp
 	
@@ -180,9 +184,21 @@
 	utp/utpprotocol.cpp
 	utp/pollpipe.cpp
 	utp/delaywindow.cpp
+	utp/outputqueue.cpp 
+	
+	upnp/soap.cpp
+	upnp/upnpmcastsocket.cpp
+	upnp/upnprouter.cpp
+	upnp/upnpdescriptionparser.cpp
+	upnp/httprequest.cpp
 	
 	version.cpp
 )
+
+if(NOT WIN32)
+# Add signalcatcher.cpp for all builds except WIN32
+set(libktorrent_SRC ${libktorrent_SRC} util/signalcatcher.cpp)
+endif(NOT WIN32)
 
 if(WIN32)
 # Compile stuff for windows
@@ -194,22 +210,13 @@
 # kde4_add_kcfg_files(libktorrent_SRC settings.kcfgc)
 kde4_add_library(ktorrent SHARED ${libktorrent_SRC})
 
-target_link_libraries(ktorrent ${KDE4_KIO_LIBS} ${GMP_LIBRARIES} ${QCA2_LIBRARIES})
+target_link_libraries(ktorrent ${KDE4_KIO_LIBS} ${GMP_LIBRARIES} ${KDE4_SOLID_LIBS} ${LIBGCRYPT_LIBRARIES} ${QCA2_LIBRARIES})
 if(WIN32)
 target_link_libraries(ktorrent ws2_32)
 endif(WIN32)
-set_target_properties(ktorrent PROPERTIES VERSION 2.0.2 SOVERSION 2)
+set_target_properties(ktorrent PROPERTIES VERSION 3.0.1 SOVERSION 3)
 install(TARGETS ktorrent  ${INSTALL_TARGETS_DEFAULT_ARGS} )
 
-
-set (mse_HDR 
-	./mse/encryptedserverauthenticate.h
-	./mse/functions.h
-	./mse/rc4encryptor.h
-	./mse/encryptedauthenticate.h
-	./mse/bigint.h
-	./mse/streamsocket.h
-)
 
 set (interfaces_HDR
 	./interfaces/peerinterface.h
@@ -231,38 +238,6 @@
 	./interfaces/serverinterface.h
 )
 
-set (peer_HDR
-	./peer/peeruploader.h
-	./peer/packetwriter.h
-	./peer/peer.h
-	./peer/peermanager.h
-	./peer/authenticatebase.h
-	./peer/authenticate.h
-	./peer/peerprotocolextension.h
-	./peer/utpex.h
-	./peer/utmetadata.h
-	./peer/packetreader.h
-	./peer/authenticationmonitor.h
-	./peer/peerid.h
-	./peer/peerdownloader.h
-	./peer/chunkcounter.h
-	./peer/serverauthenticate.h
-	./peer/accessmanager.h
-	./peer/peerconnector.h
-)
-	
-
-	
-set (download_HDR
-	./download/chunkdownload.h
-	./download/downloader.h
-	./download/request.h
-	./download/piece.h
-	./download/packet.h
-	./download/chunkselector.h
-	./download/webseed.h
-)
-
 set (ktorrent_HDR 
 	ktorrent_export.h
 	version.h
@@ -275,41 +250,7 @@
 	./bcodec/value.h
 )
 	
-set (diskio_HDR  
-	./diskio/cache.h
-	./diskio/cachefile.h
-	./diskio/singlefilecache.h
-	./diskio/preallocationthread.h
-	./diskio/preallocationjob.h
-	./diskio/movedatafilesjob.h
-	./diskio/deletedatafilesjob.h
-	./diskio/chunkmanager.h
-	./diskio/dndfile.h
-	./diskio/chunk.h
-	./diskio/multifilecache.h
-	./diskio/piecedata.h
-)
-	
-
-	
-set (tracker_HDR
-	./tracker/tracker.h
-	./tracker/udptracker.h
-	./tracker/udptrackersocket.h
-	./tracker/httptracker.h
-	./tracker/trackermanager.h
-	./tracker/httpannouncejob.h
-	./tracker/kioannouncejob.h
-)
-
-set (datachecker_HDR
-	./datachecker/datacheckerthread.h
-	./datachecker/datachecker.h
-	./datachecker/singledatachecker.h
-	./datachecker/datacheckerlistener.h
-	./datachecker/multidatachecker.h
-	./datachecker/datacheckerjob.h
-)
+
 
 set (dht_HDR
 	./dht/dhtbase.h
@@ -338,20 +279,21 @@
 
 
 
-install(FILES ${tracker_HDR} DESTINATION ${INCLUDE_INSTALL_DIR}/libktorrent/tracker COMPONENT Devel)
-install(FILES ${diskio_HDR} DESTINATION ${INCLUDE_INSTALL_DIR}/libktorrent/diskio COMPONENT Devel)
 install(FILES ${bcodec_HDR} DESTINATION ${INCLUDE_INSTALL_DIR}/libktorrent/bcodec COMPONENT Devel)
-install(FILES ${mse_HDR} DESTINATION ${INCLUDE_INSTALL_DIR}/libktorrent/mse COMPONENT Devel)
 install(FILES ${interfaces_HDR} DESTINATION ${INCLUDE_INSTALL_DIR}/libktorrent/interfaces COMPONENT Devel)
-install(FILES ${peer_HDR} DESTINATION ${INCLUDE_INSTALL_DIR}/libktorrent/peer COMPONENT Devel)
-install(FILES ${datachecker_HDR} DESTINATION ${INCLUDE_INSTALL_DIR}/libktorrent/datachecker COMPONENT Devel)
 install(FILES ${dht_HDR} DESTINATION ${INCLUDE_INSTALL_DIR}/libktorrent/dht COMPONENT Devel)
 install(FILES ${migrate_HDR} DESTINATION ${INCLUDE_INSTALL_DIR}/libktorrent/migrate COMPONENT Devel)
-install(FILES ${download_HDR} DESTINATION ${INCLUDE_INSTALL_DIR}/libktorrent/download COMPONENT Devel)
 install(FILES ${ktorrent_HDR} DESTINATION ${INCLUDE_INSTALL_DIR}/libktorrent COMPONENT Devel)
 
 add_subdirectory(torrent)
+add_subdirectory(datachecker)
+add_subdirectory(download)
+add_subdirectory(diskio)
+add_subdirectory(peer)
 add_subdirectory(net)
+add_subdirectory(mse)
 add_subdirectory(magnet)
 add_subdirectory(util)
 add_subdirectory(utp)
+add_subdirectory(upnp)
+add_subdirectory(tracker)

=== src/mse/CMakeLists.txt ===
add_subdirectory(tests)

set (mse_HDR 
	./encryptedserverauthenticate.h
	./functions.h
	./rc4encryptor.h
	./encryptedauthenticate.h
	./bigint.h
	./streamsocket.h
)

install(FILES ${mse_HDR} DESTINATION ${INCLUDE_INSTALL_DIR}/libktorrent/mse COMPONENT Devel)

=== src/net/CMakeLists.txt ===

add_subdirectory(tests)

set(net_HDR  
	socks.h
	bufferedsocket.h
	downloadthread.h
	address.h
	socketgroup.h
	portlist.h
	networkthread.h
	socket.h
	speed.h
	uploadthread.h
	socketmonitor.h
	reverseresolver.h
	socketdevice.h
	poll.h
	wakeuppipe.h
	serversocket.h
)

install(FILES ${net_HDR} DESTINATION ${INCLUDE_INSTALL_DIR}/libktorrent/net COMPONENT Devel)

=== src/util/CMakeLists.txt ===
add_subdirectory(tests)

set (util_HDR
	autorotatelogjob.h
	fileops.h
	timer.h
	ptrmap.h
	log.h
	waitjob.h
	urlencoder.h
	array.h
	functions.h
	file.h
	constants.h
	bitset.h
	sha1hash.h
	sha1hashgen.h
	error.h
	win32.h
	logsystemmanager.h
	compressfilejob.h
	decompressfilejob.h
	extractfilejob.h
	pipe.h
	circularbuffer.h
	resourcemanager.h
)
if(NOT WIN32)
set (util_HDR ${util_HDR}
	signalcatcher.h
)
endif(NOT WIN32)

install(FILES ${util_HDR} DESTINATION ${INCLUDE_INSTALL_DIR}/libktorrent/util COMPONENT Devel)

=== src/datachecker/tests/CMakeLists.txt ===
set(datacheckertest_SRCS datacheckertest.cpp)

kde4_add_unit_test(datacheckertest TESTNAME datacheckertest ${datacheckertest_SRCS})
target_link_libraries( datacheckertest ${KDE4_KDECORE_LIBS} ${QT_QTGUI_LIBRARY} ${QT_QTTEST_LIBRARY} testlib ktorrent)

=== src/download/tests/CMakeLists.txt ===
set(streamingchunkselectortest_SRCS streamingchunkselectortest.cpp)

kde4_add_unit_test(streamingchunkselectortest TESTNAME streamingchunkselectortest ${streamingchunkselectortest_SRCS})
target_link_libraries( streamingchunkselectortest ${KDE4_KDECORE_LIBS} ${QT_QTGUI_LIBRARY} ${QT_QTTEST_LIBRARY} testlib ktorrent)

=== src/peer/tests/CMakeLists.txt ===
set(superseedtest_SRCS superseedtest.cpp)
kde4_add_unit_test(superseedtest TESTNAME superseedtest ${superseedtest_SRCS})
target_link_libraries( superseedtest ${KDE4_KDECORE_LIBS} ${QT_QTTEST_LIBRARY} ktorrent)

=== src/torrent/tests/CMakeLists.txt ===
include_directories(${LIBKTORRENT_SOURCE_DIR})

set(statsfiletest_SRCS statsfiletest.cpp)
kde4_add_unit_test(statsfiletest TESTNAME statsfiletest ${statsfiletest_SRCS})
target_link_libraries( statsfiletest ${KDE4_KDECORE_LIBS} ${QT_QTTEST_LIBRARY} ktorrent)

set(torrentfilestreamtest_SRCS torrentfilestreamtest.cpp)
kde4_add_unit_test(torrentfilestreamtest TESTNAME torrentfilestreamtest ${torrentfilestreamtest_SRCS})
target_link_libraries( torrentfilestreamtest ${KDE4_KDECORE_LIBS} ${QT_QTGUI_LIBRARY} ${QT_QTTEST_LIBRARY} testlib ktorrent)

set(torrentfilestreammultitest_SRCS torrentfilestreammultitest.cpp)
kde4_add_unit_test(torrentfilestreammultitest TESTNAME torrentfilestreammultitest ${torrentfilestreammultitest_SRCS})
target_link_libraries( torrentfilestreammultitest ${KDE4_KDECORE_LIBS} ${QT_QTGUI_LIBRARY} ${QT_QTTEST_LIBRARY} testlib ktorrent)

=== src/util/tests/CMakeLists.txt ===
set(circularbuffertest_SRCS circularbuffertest.cpp)
kde4_add_unit_test(circularbuffertest TESTNAME circularbuffertest ${circularbuffertest_SRCS})
target_link_libraries( circularbuffertest ${KDE4_KDECORE_LIBS} ${QT_QTTEST_LIBRARY} ktorrent)

if(NOT MSVC)
set(signalcatchertest_SRCS signalcatchertest.cpp)
kde4_add_unit_test(signalcatchertest TESTNAME signalcatchertest ${signalcatchertest_SRCS})
target_link_libraries( signalcatchertest ${KDE4_KDECORE_LIBS} ${QT_QTTEST_LIBRARY} ktorrent)
endif(NOT MSVC)

set(resourcemanagertest_SRCS resourcemanagertest.cpp)
kde4_add_unit_test(resourcemanagertest TESTNAME resourcemanagertest ${resourcemanagertest_SRCS})
target_link_libraries( resourcemanagertest ${KDE4_KDECORE_LIBS} ${QT_QTTEST_LIBRARY} ktorrent)

set(fileopstest_SRCS fileopstest.cpp)
kde4_add_unit_test(fileopstest TESTNAME fileopstest ${fileopstest_SRCS})
target_link_libraries( fileopstest ${KDE4_KDECORE_LIBS} ${QT_QTTEST_LIBRARY} ktorrent)

=== debian/changelog ===
libktorrent (1.1.1-2~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.
  * No source changes needed.

 -- Modestas Vainius <modax@debian.org>  Thu, 09 Jun 2011 22:54:38 +0300

libktorrent (1.1.1-2) unstable; urgency=low

  * Release to unstable.

 -- Modestas Vainius <modax@debian.org>  Thu, 26 May 2011 00:33:38 +0300

libktorrent (1.1.1-1) experimental; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.2: no changes needed.
  * Call dh in compat=8 way.
  * Drop dh_makeshlibs override: do not care about shlibs anymore.
  * Update symbol file (gcc 4.6 on amd64).

 -- Modestas Vainius <modax@debian.org>  Tue, 03 May 2011 00:30:10 +0300

libktorrent (1.1.0-1) experimental; urgency=low

  * New upstream release.
  * Update symbol file.
  * Do not start libktorrent3 synopsis with an article.

 -- Modestas Vainius <modax@debian.org>  Wed, 23 Mar 2011 02:07:58 +0200

libktorrent (1.1~rc1-1) experimental; urgency=low

  * New upstream release.
  * SONAME was bumped: rename libktorrent2 to libktorrent3.
  * Update debian/copyright.
  * Build depend on kdelibs5-dev 4.4.
  * Build depend on libgcrypt-dev.
  * Update symbol file.

 -- Modestas Vainius <modax@debian.org>  Sat, 19 Feb 2011 01:25:05 +0200

=== debian/control ===
--- 
+++ 
@@ -4,18 +4,18 @@
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Modestas Vainius <modax@debian.org>
 Build-Depends: cmake, debhelper (>= 7.3.16~), pkg-kde-tools (>= 0.6~),
- kdelibs5-dev (>= 4:4.3), libgmp3-dev, libqca2-dev, libboost-dev,
+ kdelibs5-dev (>= 4:4.4), libgmp3-dev, libqca2-dev, libboost-dev, libgcrypt-dev,
  pkg-config, doxygen,
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://ktorrent.org/
 Vcs-Git: git://git.debian.org/git/pkg-kde/kde-extras/libktorrent.git
 Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-extras/libktorrent.git;a=summary
 
-Package: libktorrent2
+Package: libktorrent3
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: libktorrent-l10n
-Description: the KTorrent library for C++ / Qt 4 / KDE Platform
+Description: KTorrent library for C++ / Qt 4 / KDE Platform
  The KTorrent library is a C++ / Qt 4 / KDE Platform based implementation of
  the BitTorrent protocol (mostly client side).
  .
@@ -28,7 +28,7 @@
 Package: libktorrent-dev
 Architecture: any
 Section: libdevel
-Depends: libktorrent2 (= ${binary:Version}), ${misc:Depends},
+Depends: libktorrent3 (= ${binary:Version}), ${misc:Depends},
  ${sameVersionDep:libqt4-dev}, ${sameVersionDep:kdelibs5-dev}
 Description: development files for the KTorrent Library
  The KTorrent library is a C++ / Qt 4 / KDE Platform based implementation of
@@ -40,7 +40,7 @@
 Package: libktorrent-l10n
 Architecture: all
 Section: localization
-Depends: libktorrent2 (>= ${source:Version}), ${misc:Depends}
+Depends: libktorrent3 (>= ${source:Version}), ${misc:Depends}
 Description: localization files for the KTorrent library
  The KTorrent library is a C++ / Qt 4 / KDE Platform based implementation of
  the BitTorrent protocol (mostly client side).
@@ -51,7 +51,7 @@
 Architecture: any
 Section: debug
 Priority: extra
-Depends: libktorrent2 (= ${binary:Version}), ${misc:Depends}
+Depends: libktorrent3 (= ${binary:Version}), ${misc:Depends}
 Description: debugging symbols for the KTorrent library
  The KTorrent library is a C++ / Qt 4 / KDE Platform based implementation of
  the BitTorrent protocol (mostly client side).

=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_configure:
	dh_auto_configure -Skde -- -DCMAKE_USE_RELATIVE_PATHS=ON

override_dh_shlibdeps:
	dh_shlibdeps
	dh_sameversiondep

%:
	dh $@ --parallel --with kde -- --dbg-package=libktorrent-dbg 

.PHONY: override_dh_auto_test

## libktorrent 1.1.3

=== po/CMakeLists.txt ===
add_subdirectory( ar )
add_subdirectory( ast )
add_subdirectory( be )
add_subdirectory( bg )
add_subdirectory( ca )
add_subdirectory( ca@valencia )
add_subdirectory( cs )
add_subdirectory( da )
add_subdirectory( de )
add_subdirectory( el )
add_subdirectory( en_GB )
add_subdirectory( eo )
add_subdirectory( es )
add_subdirectory( et )
add_subdirectory( eu )
add_subdirectory( fi )
add_subdirectory( fr )
add_subdirectory( ga )
add_subdirectory( gl )
add_subdirectory( hi )
add_subdirectory( hne )
add_subdirectory( hr )
add_subdirectory( hu )
add_subdirectory( is )
add_subdirectory( it )
add_subdirectory( ja )
add_subdirectory( km )
add_subdirectory( ku )
add_subdirectory( lt )
add_subdirectory( lv )
add_subdirectory( ms )
add_subdirectory( nb )
add_subdirectory( nds )
add_subdirectory( nl )
add_subdirectory( nn )
add_subdirectory( oc )
add_subdirectory( pl )
add_subdirectory( pt )
add_subdirectory( pt_BR )
add_subdirectory( ro )
add_subdirectory( ru )
add_subdirectory( se )
add_subdirectory( si )
add_subdirectory( sk )
add_subdirectory( sl )
add_subdirectory( sr )
add_subdirectory( sr@ijekavian )
add_subdirectory( sr@ijekavianlatin )
add_subdirectory( sr@latin )
add_subdirectory( sv )
add_subdirectory( tr )
add_subdirectory( ug )
add_subdirectory( uk )
add_subdirectory( zh_CN )
add_subdirectory( zh_TW )

=== src/peer/CMakeLists.txt ===
set (peer_HDR
	peeruploader.h
	packetwriter.h
	peer.h
	peermanager.h
	authenticatebase.h
	authenticate.h
	peerprotocolextension.h
	utpex.h
	utmetadata.h
	packetreader.h
	authenticationmonitor.h
	peerid.h
	peerdownloader.h
	chunkcounter.h
	serverauthenticate.h
	accessmanager.h
	peerconnector.h
	superseeder.h
)


install(FILES ${peer_HDR} DESTINATION ${INCLUDE_INSTALL_DIR}/libktorrent/peer COMPONENT Devel)

add_subdirectory(tests)

=== src/mse/tests/CMakeLists.txt ===
set(rc4encryptortest_SRCS rc4encryptortest.cpp)
kde4_add_unit_test(rc4encryptortest TESTNAME rc4encryptortest ${rc4encryptortest_SRCS})
target_link_libraries( rc4encryptortest ${KDE4_KDECORE_LIBS} ${QT_QTTEST_LIBRARY} ktorrent)

=== debian/changelog ===
libktorrent (1.1.3-1) unstable; urgency=low

  * New upstream release.
  * Bump debhelper compat level to 9 and require debhelper 8.9.0 in order to
    gain support for transparent dpkg-buildflags handling in dh/dh_auto_*.
  * Update symbol file (for 1.1.2/ia64, 1.1.2/sparc), fixes FTBFSes.
  * Update symbol file for 1.1.3/amd64, source changes.

 -- Modestas Vainius <modax@debian.org>  Tue, 06 Dec 2011 00:56:03 +0200

libktorrent (1.1.2-1) unstable; urgency=low

  * New upstream release.
  * Update symbol file.

 -- Modestas Vainius <modax@debian.org>  Thu, 18 Aug 2011 00:59:20 +0300

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Modestas Vainius <modax@debian.org>
-Build-Depends: cmake, debhelper (>= 7.3.16~), pkg-kde-tools (>= 0.6~),
+Build-Depends: cmake, debhelper (>= 8.9.0~), pkg-kde-tools (>= 0.6~),
  kdelibs5-dev (>= 4:4.4), libgmp3-dev, libqca2-dev, libboost-dev, libgcrypt-dev,
  pkg-config, doxygen,
 Standards-Version: 3.9.2

## libktorrent 1.2.0

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -27,6 +27,7 @@
 	util/pipe.cpp
 	util/circularbuffer.cpp
 	util/resourcemanager.cpp
+	util/bufferpool.cpp
 	
 	bcodec/bdecoder.cpp  
 	bcodec/bencoder.cpp  
@@ -34,7 +35,7 @@
 	bcodec/value.cpp
 
 	net/address.cpp  
-	net/bufferedsocket.cpp  
+	net/packetsocket.cpp  
 	net/portlist.cpp  
 	net/socket.cpp  
 	net/socketmonitor.cpp  
@@ -49,11 +50,14 @@
 	net/socketdevice.cpp
 	net/poll.cpp
 	net/serversocket.cpp
+	net/addressresolver.cpp
+	net/trafficshapedsocket.cpp
+	net/streamsocket.cpp
 	
 	mse/bigint.cpp  
 	mse/functions.cpp  
 	mse/rc4encryptor.cpp  
-	mse/streamsocket.cpp
+	mse/encryptedpacketsocket.cpp
 	mse/encryptedauthenticate.cpp
 	mse/encryptedserverauthenticate.cpp
 	
@@ -67,7 +71,6 @@
 	peer/peermanager.cpp
 	peer/peerdownloader.cpp
 	peer/peeruploader.cpp
-	peer/packetwriter.cpp
 	peer/packetreader.cpp
 	peer/peerprotocolextension.cpp
 	peer/utpex.cpp
@@ -185,6 +188,7 @@
 	utp/pollpipe.cpp
 	utp/delaywindow.cpp
 	utp/outputqueue.cpp 
+	utp/packetbuffer.cpp
 	
 	upnp/soap.cpp
 	upnp/upnpmcastsocket.cpp
@@ -214,7 +218,7 @@
 if(WIN32)
 target_link_libraries(ktorrent ws2_32)
 endif(WIN32)
-set_target_properties(ktorrent PROPERTIES VERSION 3.0.1 SOVERSION 3)
+set_target_properties(ktorrent PROPERTIES VERSION 4.0.0 SOVERSION 4 LINK_INTERFACE_LIBRARIES ${KDE4_KDEUI_LIBS})
 install(TARGETS ktorrent  ${INSTALL_TARGETS_DEFAULT_ARGS} )

=== debian/changelog ===
libktorrent (1.2.0-1) unstable; urgency=low

  * New upstream release.
  * SOVERSION changed to 4, update packaging accordingly.
  * Bump Standards-Version to 3.9.3: no changes needed.
  * Update symbol file.
  * Build-depend on debhelper 9 as lintian insists.

 -- Modestas Vainius <modax@debian.org>  Sat, 10 Mar 2012 21:10:47 +0200

## libktorrent 1.2.1

=== debian/changelog ===
libktorrent (1.2.1-1) unstable; urgency=low

  * New upstream release.
  * Confirm symbol file on all arches.
  * Update symbol file for 1.2.1.

 -- Modestas Vainius <modax@debian.org>  Thu, 21 Jun 2012 21:51:35 +0300

libktorrent (1.2.0-1.1) unstable; urgency=low

  * Non maintainer upload
  * Mark symbols as optional, missing when build with GCC 4.7. Closes: #671957.

 -- Matthias Klose <doko@debian.org>  Wed, 30 May 2012 01:31:31 +0000

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Priority: optional
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Modestas Vainius <modax@debian.org>
-Build-Depends: cmake, debhelper (>= 8.9.0~), pkg-kde-tools (>= 0.6~),
+Build-Depends: cmake, debhelper (>= 9~), pkg-kde-tools (>= 0.6~),
  kdelibs5-dev (>= 4:4.4), libgmp3-dev, libqca2-dev, libboost-dev, libgcrypt-dev,
  pkg-config, doxygen,
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://ktorrent.org/
 Vcs-Git: git://git.debian.org/git/pkg-kde/kde-extras/libktorrent.git
 Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-extras/libktorrent.git;a=summary
 
-Package: libktorrent3
+Package: libktorrent4
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: libktorrent-l10n
@@ -28,7 +28,7 @@
 Package: libktorrent-dev
 Architecture: any
 Section: libdevel
-Depends: libktorrent3 (= ${binary:Version}), ${misc:Depends},
+Depends: libktorrent4 (= ${binary:Version}), ${misc:Depends},
  ${sameVersionDep:libqt4-dev}, ${sameVersionDep:kdelibs5-dev}
 Description: development files for the KTorrent Library
  The KTorrent library is a C++ / Qt 4 / KDE Platform based implementation of
@@ -40,7 +40,7 @@
 Package: libktorrent-l10n
 Architecture: all
 Section: localization
-Depends: libktorrent3 (>= ${source:Version}), ${misc:Depends}
+Depends: libktorrent4 (>= ${source:Version}), ${misc:Depends}
 Description: localization files for the KTorrent library
  The KTorrent library is a C++ / Qt 4 / KDE Platform based implementation of
  the BitTorrent protocol (mostly client side).
@@ -51,7 +51,7 @@
 Architecture: any
 Section: debug
 Priority: extra
-Depends: libktorrent3 (= ${binary:Version}), ${misc:Depends}
+Depends: libktorrent4 (= ${binary:Version}), ${misc:Depends}
 Description: debugging symbols for the KTorrent library
  The KTorrent library is a C++ / Qt 4 / KDE Platform based implementation of
  the BitTorrent protocol (mostly client side).

## libktorrent 1.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -26,7 +26,7 @@
 
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}")
 add_definitions( ${KDE4_DEFINITIONS} )
-
+add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
 include_directories(${KDE4_INCLUDES} ${LIBKTORRENT_BINARY_DIR}	${LIBKTORRENT_SOURCE_DIR} ${GMP_INCLUDE_DIR} ${Boost_INCLUDE_DIR})
 
 set(LIBKTORRENT_VERSION "1.1dev")

=== testlib/CMakeLists.txt ===
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../src)

set(testlib_SRC 
	utils.cpp 
	dummytorrentcreator.cpp
)

kde4_add_library(testlib STATIC ${testlib_SRC})

=== examples/ktcli/CMakeLists.txt ===
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../../src)

set(ktcli_SRC 
	ktcli.cpp
	main.cpp
)

kde4_add_executable(ktcli ${ktcli_SRC})
target_link_libraries(ktcli ktorrent ${KDE4_SOLID_LIBS} ${KDE4_KIO_LIBS})

=== po/ms/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES( ms ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== src/dht/CMakeLists.txt ===
set (dht_HDR
	dhtbase.h
	rpcserver.h
	rpcserverinterface.h
	key.h
	pack.h
	rpcmsg.h
	dhtpeersource.h
	announcetask.h
	rpccall.h
	kclosestnodessearch.h
	dht.h
	node.h
	task.h
	nodelookup.h
	taskmanager.h
	kbucket.h
	kbucketentry.h
	kbuckettable.h
	database.h
	announcereq.h
	announcersp.h
	pingreq.h
	pingrsp.h
	findnodereq.h
	findnodersp.h
	getpeersreq.h
	getpeersrsp.h
	rpcmsgfactory.h
)

install(FILES ${dht_HDR} DESTINATION ${INCLUDE_INSTALL_DIR}/libktorrent/dht COMPONENT Devel)

add_subdirectory(tests)

=== src/mse/CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 	./rc4encryptor.h
 	./encryptedauthenticate.h
 	./bigint.h
-	./streamsocket.h
+	./encryptedpacketsocket.h
 )
 
 install(FILES ${mse_HDR} DESTINATION ${INCLUDE_INSTALL_DIR}/libktorrent/mse COMPONENT Devel)

=== src/net/CMakeLists.txt ===
--- 
+++ 
@@ -3,9 +3,12 @@
 
 set(net_HDR  
 	socks.h
-	bufferedsocket.h
+	packetsocket.h
+	trafficshapedsocket.h
+	streamsocket.h
 	downloadthread.h
 	address.h
+	addressresolver.h
 	socketgroup.h
 	portlist.h
 	networkthread.h

=== src/peer/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,5 @@
 set (peer_HDR
 	peeruploader.h
-	packetwriter.h
 	peer.h
 	peermanager.h
 	authenticatebase.h
@@ -17,6 +16,7 @@
 	accessmanager.h
 	peerconnector.h
 	superseeder.h
+	connectionlimit.h
 )

=== src/upnp/CMakeLists.txt ===

set (upnp_HDR
	upnprouter.h
	upnpmcastsocket.h
)

install(FILES ${upnp_HDR} DESTINATION ${INCLUDE_INSTALL_DIR}/libktorrent/upnp COMPONENT Devel)

=== src/util/CMakeLists.txt ===
--- 
+++ 
@@ -24,6 +24,7 @@
 	pipe.h
 	circularbuffer.h
 	resourcemanager.h
+	bufferpool.h
 )
 if(NOT WIN32)
 set (util_HDR ${util_HDR}

=== src/download/tests/CMakeLists.txt ===
set(streamingchunkselectortest_SRCS streamingchunkselectortest.cpp)

kde4_add_unit_test(streamingchunkselectortest TESTNAME streamingchunkselectortest ${streamingchunkselectortest_SRCS})
target_link_libraries( streamingchunkselectortest ${QT_QTTEST_LIBRARY} testlib ktorrent)

=== src/mse/tests/CMakeLists.txt ===
set(rc4encryptortest_SRCS rc4encryptortest.cpp)
kde4_add_unit_test(rc4encryptortest TESTNAME rc4encryptortest ${rc4encryptortest_SRCS})
target_link_libraries( rc4encryptortest ${QT_QTTEST_LIBRARY} ktorrent)

=== debian/changelog ===
libktorrent (1.3.1-5build2) xenial; urgency=medium

  * No-change rebuild for qca2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Jan 2016 15:31:10 +0000

libktorrent (1.3.1-5) unstable; urgency=medium

  * Team upload.
  * Update symbols from build logs
  * Add definition of PATH_MAX when not otherwise defined to fix FTBFS on
    hurd-i386 (Closes: #762581)
    - Thanks to Svante Signell for the patch

 -- Scott Kitterman <scott@kitterman.com>  Sun, 30 Aug 2015 17:12:30 -0400

libktorrent (1.3.1-4) unstable; urgency=medium

  * Team upload.

  [ Matthias Klose ]
  * Update symbols file for GCC 5. (Closes: #777954)

  [ Harald Sitter ]
  * Add upstream_don-t-include-circular_buffer-in-moc-run.patch from upstream
    to not include the circular_buffer boost header during meta object
    compilation as it causes Qt4's MOC to fail on BOOST_JOIN which it cannot
    process due to implementation limitations.

  [ Adam Conrad ]
  * Build-depend on libgcrypt11-dev

  [ Scott Kitterman ]
  * Backport gcc5 and boost1.58 changes from Ubuntu
  * Bump standards version to 3.9.6 without further change

 -- Scott Kitterman <scott@kitterman.com>  Sun, 30 Aug 2015 01:10:33 -0400

libktorrent (1.3.1-3) unstable; urgency=low

  * Confirm symbols file on all arches, fixes FTBFSes.

 -- Modestas Vainius <modax@debian.org>  Wed, 06 Nov 2013 11:00:48 +0200

libktorrent (1.3.1-2) unstable; urgency=low

  * Make libktorrent suggest greater or equal version of -l10n.
  * Bump Standards-Version to 3.9.5: no further changes needed.
  * Update Vcs URL in debian/control to canonical ones.
  * Update symbols file for boost 1.54 and gcc 4.8.
  * Build with hardening flags.
  * Upload to unstable.

 -- Modestas Vainius <modax@debian.org>  Sun, 27 Jan 2013 14:11:29 +0200

libktorrent (1.3.1-1) experimental; urgency=low

  * New upstream release.

 -- Modestas Vainius <modax@debian.org>  Sun, 27 Jan 2013 11:36:04 +0200

libktorrent (1.3.0-1) experimental; urgency=low

  * New upstream release.
  * SOVERSION changed to 5, make appropriate changes in packaging.
  * Update symbol file, all symbols are at version 1.3.0 now.
  * Bump Standards-Version to 3.9.4: no changes needed.

 -- Modestas Vainius <modax@debian.org>  Sun, 30 Sep 2012 00:35:07 +0300

=== debian/control ===
--- 
+++ 
@@ -4,17 +4,17 @@
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Modestas Vainius <modax@debian.org>
 Build-Depends: cmake, debhelper (>= 9~), pkg-kde-tools (>= 0.6~),
- kdelibs5-dev (>= 4:4.4), libgmp3-dev, libqca2-dev, libboost-dev, libgcrypt-dev,
+ kdelibs5-dev (>= 4:4.4), libgmp3-dev, libqca2-dev, libboost-dev, libgcrypt11-dev,
  pkg-config, doxygen,
-Standards-Version: 3.9.3
+Standards-Version: 3.9.6
 Homepage: http://ktorrent.org/
-Vcs-Git: git://git.debian.org/git/pkg-kde/kde-extras/libktorrent.git
-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-extras/libktorrent.git;a=summary
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/libktorrent.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/libktorrent.git;a=summary
 
-Package: libktorrent4
+Package: libktorrent5
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Suggests: libktorrent-l10n
+Suggests: libktorrent-l10n (>= ${source:Version})
 Description: KTorrent library for C++ / Qt 4 / KDE Platform
  The KTorrent library is a C++ / Qt 4 / KDE Platform based implementation of
  the BitTorrent protocol (mostly client side).
@@ -28,7 +28,7 @@
 Package: libktorrent-dev
 Architecture: any
 Section: libdevel
-Depends: libktorrent4 (= ${binary:Version}), ${misc:Depends},
+Depends: libktorrent5 (= ${binary:Version}), ${misc:Depends},
  ${sameVersionDep:libqt4-dev}, ${sameVersionDep:kdelibs5-dev}
 Description: development files for the KTorrent Library
  The KTorrent library is a C++ / Qt 4 / KDE Platform based implementation of
@@ -40,7 +40,7 @@
 Package: libktorrent-l10n
 Architecture: all
 Section: localization
-Depends: libktorrent4 (>= ${source:Version}), ${misc:Depends}
+Depends: libktorrent5 (>= ${source:Version}), ${misc:Depends}
 Description: localization files for the KTorrent library
  The KTorrent library is a C++ / Qt 4 / KDE Platform based implementation of
  the BitTorrent protocol (mostly client side).
@@ -51,7 +51,7 @@
 Architecture: any
 Section: debug
 Priority: extra
-Depends: libktorrent4 (= ${binary:Version}), ${misc:Depends}
+Depends: libktorrent5 (= ${binary:Version}), ${misc:Depends}
 Description: debugging symbols for the KTorrent library
  The KTorrent library is a C++ / Qt 4 / KDE Platform based implementation of
  the BitTorrent protocol (mostly client side).

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,7 @@
 #!/usr/bin/make -f
+
+export DEB_CPPFLAGS_MAINT_APPEND := $(shell dpkg-buildflags --get CPPFLAGS)
+export DEB_CFLAGS_MAINT_APPEND := $(shell dpkg-buildflags --get CPPFLAGS)
 
 override_dh_auto_configure:
 	dh_auto_configure -Skde -- -DCMAKE_USE_RELATIVE_PATHS=ON
